#! /bin/sh

# agvtool is giving me problems. It can write the mvers but not read it.
if [[ -x "./MarketingVersion.sh" ]]
then
	mvers=`./MarketingVersion.sh | awk '/^.+$/ {print $1}'`
else
	mvers=`agvtool mvers -terse | awk '/^.+$/ {print $1}'`
fi

vers=`agvtool vers -terse`
appprodname="Tomato Torrent $mvers"
sourceprodname="TomatoTorrent-$vers-source"

mv "${DSTROOT}/app" "$DSTROOT/${appprodname}"
mv "${DSTROOT}/source" "$DSTROOT/${sourceprodname}"

# don't break the rest of the build process
ln -s "$DSTROOT/${appprodname}" $DSTROOT/app
ln -s "$DSTROOT/${sourceprodname}" $DSTROOT/source
