//==============================================================================
//		FetchURLWindowController.h					Tomato
//==============================================================================
//  Created by Sarwat Khan on 30/04/05.
//  Copyright (c) 2005 Sarwat Khan. All rights reserved.

#import <AppKit/AppKit.h>


@interface FetchURLWindowController : NSWindowController <NSURLHandleClient>
{
    IBOutlet id __fetchButton;
    IBOutlet id __progressSpinner;
    IBOutlet id __statusText;
    IBOutlet id __urlText;
	
	int			__state;
	
	id			__urlHandle;
	id			__torrentData;
	id			__tempSavePath;
	
	id			__agent;
}

+ instance;
+ fetchTorrentFromURLString:url;		//makes new if global is busy
- fetchTorrentFromURLString:url;

- (IBAction)fetchTorrentFromEnteredURL:(id)sender;
@end
